seq={};
for i=1:1000
    ob=all_ungap_sequences(i,find(all_ungap_sequences(i,:)>0));
    L=length(ob);
    new_str='';
    for k=1:L
        if ob(k)==1
        new_str=[new_str 'A'];
        elseif ob(k)==2
        new_str=[new_str 'R'];
        elseif ob(k)==3
        new_str=[new_str 'N'];
        elseif ob(k)==4
        new_str=[new_str 'D'];
         elseif ob(k)==5
        new_str=[new_str 'C'];
         elseif ob(k)==6
        new_str=[new_str 'E'];
         elseif ob(k)==7
        new_str=[new_str 'Q'];
         elseif ob(k)==8
        new_str=[new_str 'G'];
         elseif ob(k)==9
        new_str=[new_str 'I'];
         elseif ob(k)==10
        new_str=[new_str 'L'];
         elseif ob(k)==11
        new_str=[new_str 'K'];
         elseif ob(k)==12
        new_str=[new_str 'M'];
         elseif ob(k)==13
        new_str=[new_str 'F'];
         elseif ob(k)==14
        new_str=[new_str 'P'];
         elseif ob(k)==15
        new_str=[new_str 'S'];
         elseif ob(k)==16
        new_str=[new_str 'T'];
         elseif ob(k)==17
        new_str=[new_str 'w'];
         elseif ob(k)==18
        new_str=[new_str 'Y'];
         elseif ob(k)==19
        new_str=[new_str 'V'];
         else
        new_str=[new_str 'H'];
        end
    end
    seq{i}=new_str;
end